QwtCompassWindArrow(3)

NAME
QwtCompassWindArrow - An indicator for the wind direction.

SYNOPSIS

#include <qwt_dial_needle.h>

Inherits QwtDialNeedle.

  Public Types
enum Style { Style1, Style2 } Style of the arrow. "

  Public Member Functions
QwtCompassWindArrow (Style, const QColor &light=Qt::white, const QColor &dark=Qt::gray)

  Protected Member Functions
virtual void drawNeedle (QPainter *, double length, QPalette::ColorGroup) const

Detailed Description

An indicator for the wind direction. QwtCompassWindArrow shows the direction where the wind comes from.

•   QPalette::Light
     Used for Style1, or the light half of Style2

•   QPalette::Dark
     Used for the dark half of Style2

See also:
    QwtDial, QwtCompass

Member Enumeration Documentation

  enum QwtCompassWindArrow::Style

Style of the arrow.

Enumerator

Style1
    A needle pointing to the center.

Style2
    A needle pointing to the center.

Constructor & Destructor Documentation

  QwtCompassWindArrow::QwtCompassWindArrow (Style style, const QColor & light = Qt::white, const QColor & dark = Qt::gray)
Constructor

Parameters:
    style Arrow style
    light Light color
    dark Dark color

Member Function Documentation

  void QwtCompassWindArrow::drawNeedle (QPainter * painter, double length, QPalette::ColorGroup colorGroup) const [protected], [virtual]
Draw the needle

Parameters:
    painter Painter
    length Length of the needle
    colorGroup Color group, used for painting

Implements QwtDialNeedle.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.